
Ruby - Bug #13148

[DOC] Small doc fix for Hash#dig and Struct#dig

01/22/2017 09:23 PM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.4.0p0 (2016-12-24 revision

57164) [x86_64-linux]

Backport: 2.2: DONTNEED, 2.3: DONE, 2.4:

DONE

Description

Use the correct parameter name in the method description.

Associated revisions

Revision 6b82ba9e26c856ef9b479164a034e428725f11df - 02/27/2017 06:07 PM - stomar (Marcus Stollsteimer)

Fix doc for Hash#dig and Struct#dig

hash.c (rb_hash_dig): [DOC] correct argument name

in method description; fix formatting in examples.

struct.c (rb_struct_dig): ditto.

[ruby-core:79221] [Bug #13148]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57735 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6b82ba9e - 02/27/2017 06:07 PM - stomar (Marcus Stollsteimer)

Fix doc for Hash#dig and Struct#dig

hash.c (rb_hash_dig): [DOC] correct argument name

in method description; fix formatting in examples.

struct.c (rb_struct_dig): ditto.

[ruby-core:79221] [Bug #13148]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57735 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 53f013f4e17e4ae0df07f26c66beadc6414305cf - 03/12/2017 03:51 PM - naruse (Yui NARUSE)

merge revision(s) 57735: [Backport #13148]

    Fix doc for Hash#dig and Struct#dig

    * hash.c (rb_hash_dig): [DOC] correct argument name

      in method description; fix formatting in examples.

    * struct.c (rb_struct_dig): ditto.

    [ruby-core:79221] [Bug #13148]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57916 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 53f013f4 - 03/12/2017 03:51 PM - naruse (Yui NARUSE)

merge revision(s) 57735: [Backport #13148]

    Fix doc for Hash#dig and Struct#dig

    * hash.c (rb_hash_dig): [DOC] correct argument name

      in method description; fix formatting in examples.

    * struct.c (rb_struct_dig): ditto.

    [ruby-core:79221] [Bug #13148]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57916 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 316f37b18769d5a161df67ebe3edf502d043fc96 - 03/27/2017 02:46 PM - nagachika (Tomoyuki Chikanaga)
merge revision(s) 53667,57735: [Backport #13148]

    hash.c: exception examples

    * hash.c (rb_hash_dig): [DOC] add examples of exceptions.

    Fix doc for Hash#dig and Struct#dig

    * hash.c (rb_hash_dig): [DOC] correct argument name

      in method description; fix formatting in examples.

    * struct.c (rb_struct_dig): ditto.

    [ruby-core:79221] [Bug #13148]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58153 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 316f37b1 - 03/27/2017 02:46 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53667,57735: [Backport #13148]

    hash.c: exception examples

    * hash.c (rb_hash_dig): [DOC] add examples of exceptions.

    Fix doc for Hash#dig and Struct#dig

    * hash.c (rb_hash_dig): [DOC] correct argument name

      in method description; fix formatting in examples.

    * struct.c (rb_struct_dig): ditto.

    [ruby-core:79221] [Bug #13148]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58153 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/27/2017 06:07 PM - stomar (Marcus Stollsteimer)

- Status changed from Open to Closed

Applied in changeset r57735.

Fix doc for Hash#dig and Struct#dig

hash.c (rb_hash_dig): [DOC] correct argument name

in method description; fix formatting in examples.

struct.c (rb_struct_dig): ditto.

[ruby-core:79221] [Bug #13148]

#2 - 03/12/2017 04:17 PM - naruse (Yui NARUSE)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE

ruby_2_4 r57916 merged revision(s) 57735.

#3 - 03/14/2017 01:10 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: DONE to 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONE

#4 - 03/27/2017 02:46 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONE to 2.2: DONTNEED, 2.3: DONE, 2.4: DONE

ruby_2_3 r58153 merged revision(s) 53667,57735.

Files

doc_dig.patch 891 Bytes 01/22/2017 stomar (Marcus Stollsteimer)
